.TH MTRANSPOSE 1 "Dec 2016" "Montage 5" "Montage"
.SH NAME
mTranspose \- Re-order axes of multi-dimensional data sets

.SH SYNOPSIS
mTranspose [\-d \fIlevel\fP] [\-s \fIstatusfile\fP] incube.fits outcube.fits [outaxis1 outaxis2 [outaxi3 [outaxis4]]]

.SH DESCRIPTION
Montage (and a lot of other software) find it hard to work with WCS information that are not connected to the first two axes in a datacube.  Rather than over-complicate all the cube-related software we have opted for having this utility for transposing the data.  The default for the program is to examine the cube and rearrange the data so the first two axes represent sky longitude and latitude but the user can optionally specify the order of the rearrangement themselves (this also allows transforming reprojected cubes back into the original order for use by other programs).

.SH OPTIONS
.TP
\-d \fIlevel\fP
Turns on debugging to the specified level (1\-3).
.TP
\-s \fIstatusfile\fP
mTranspose output and errors will be written to \fIstatusfile\fP instead of stdout.

.SH ARGUMENTS
.TP
incube.fits
Input FITS cube (3 or 4 dimensions).
.TP
outcube.fits
Output FITS cube.
.TP
outaxis1 ... outaxis4
The input axis numbers (1,2,3,4) in output order.

.SH RESULT
mTranspose rearranges the data value so the axes are in a different order.  As much as possible, the FITS header keywords are renamed accordingly but as it is not alway possible to identify which parameters have axis "subscripts" it may be necessary to manually modify the headera(\fIe.g.\fP, using mGetHdr / mPutHdr) after the fact.
.TP
$ mTranspose in.fits out.fits 3 2 1 4
[struct stat="OK", mindata=2234.5, maxdata=10234.4]

.SH MESSAGES
.TP
OK
[struct stat = "OK", mindata=\fIvalue\fP, maxdata=\fIvalue\fP]
.TP
ERROR
No status file name given
.TP
ERROR
Cannot open status file: \fIfilename\fP
.TP
ERROR
No debug level given
.TP
ERROR
Debug level string is invalid: '\fIstring\fP'
.TP
ERROR
Debug level value cannot be negative
.TP
ERROR
Invalid input file '\fIstring\fP'
.TP
ERROR
Invalid output file '\fIstring\fP'
.TP
ERROR
Axis ID 1 cannot be interpreted as an integer.
.TP
ERROR
Axis ID 2 cannot be interpreted as an integer.
.TP
ERROR
Axis ID 3 cannot be interpreted as an integer.
.TP
ERROR
Axis ID 4 cannot be interpreted as an integer.
.TP
ERROR
\fIFITS library error\fP
.TP
ERROR
\fIgeneral error message\fP

.SH BUGS
The drizzle algorithm has been implemented but has not been tested
in this release.
.PP
If a header template contains carriage returns (i.e., created/modified
on a Windows machine), the cfitsio library will be unable to read it
properly, resulting in the error: [struct stat="ERROR", status=207,
msg="illegal character in keyword"]
.PP
It is best for the background correction algorithms if the area
described in the header template completely encloses all of the input
images in their entirety. If parts of input images are "chopped off"
by the header template, the background correction will be affected. We
recommend you use an expanded header for the reprojection and
background modeling steps, returning to the originally desired header
size for the final coaddition. The default background matching assumes
that there are no non-linear background variations in the individual
images (and therefore in the overlap differences). If there is any
uncertainty in this regard, it is safer to turn on the "level only"
background matching (the "\-l" flag in mBgModel.

.SH COPYRIGHT
2001-2015 California Institute of Technology, Pasadena, California
.PP
If your research uses Montage, please include the following
acknowledgement: "This research made use of Montage. It is funded by
the National Science Foundation under Grant Number ACI-1440620, and
was previously funded by the National Aeronautics and Space
Administration's Earth Science Technology Office, Computation
Technologies Project, under Cooperative Agreement Number NCC5-626
between NASA and the California Institute of Technology."
.PP
The Montage distribution includes an adaptation of the MOPEX algorithm
developed at the Spitzer Science Center.
